routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('/users', 'UserController');
Route::post('/users/active', 'UserController@active')->name('users.active');

Route::get('/data/active', 'UserController@activeuser')->name('users.list.active');
Route::get('/data/inactive', 'UserController@inactiveuser')->name('users.list.inactive');

Route::get('/data/admin', 'UserController@admin')->name('users.list.admin');
Route::get('/data/opera', 'UserController@opera')->name('users.list.opera');
Route::get('/data/develop', 'UserController@develop')->name('users.list.develop');

Route::get('/data/detail', 'UserController@rolesdata')->name('users.list.rolesdata');
Route::post('/data/show/', 'UserController@show')->name('users.list.show');
Route::get('/data/seacrh', 'UserController@search')->name('users.list.search');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                            </li>
                        @else
                        <li>
                                <div class="dropdown show">
                                    <a class="btn btn-secondary dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                        Actions
                                    </a>

                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                        <a class="dropdown-item" href="{{ url('/home') }}">Welcome</a>
                                        <a class="dropdown-item" href="{{ route('users.index') }}">All User</a>
                                        <a class="dropdown-item" href="{{ route('users.list.search') }}">Buscar User</a>
                                        <a class="dropdown-item" href="{{ route('users.list.active') }}">Listar ususrios activos</a>
                                        <a class="dropdown-item" href="{{ route('users.list.inactive') }}">Listar ususrios inactivos</a>
                                        <a class="dropdown-item" href="{{ route('users.list.admin') }}">Listar ususrios Admin</a>
                                        <a class="dropdown-item" href="{{ route('users.list.opera') }}">Listar ususrios Operador</a>
                                        <a class="dropdown-item" href="{{ route('users.list.develop') }}">Listar ususrios Desarrolladores</a>
                                        <a class="dropdown-item" href="{{ route('users.list.rolesdata') }}">Detalle ususrios Permisos</a>
                                    </div>
                                </div>
                            </li>
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
    <script>
    function ConfirmDelete(){
      var x = confirm("Are you sure you want to delete?");
      if(x)
         return true;
      else
         return false;
   }</script>
</body>
</html>